Bug 844181 - Mouse and keyboard problems
Mouse and keyboard problems
Product: Fedora
Classification: Fedora
Component: gtk2 (Show other bugs)
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-07-29 11:37 EDT by Alberto Ferrante
Modified: 2013-08-01 14:44 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-08-01 14:44:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Alberto Ferrante 2012-07-29 11:37:52 EDT
Description of problem:
After the update to gtk2-2.24.11-1 I have been experiencing keyboard and mouse/tablet problems in GIMP and ufraw. From time to time the keyboard get unresponsive in GIMP (i.e., nothing happens when you press any key); the tablet gets sticky (e.g., in the curves tool, without touching the tablet with the pen, the curve points are moved). By clicking on the image both the keyboard and the tablet restart working.
In ufraw, as soon as I use any dropdown menu (e.g., for selection a preset curve), the keyboard cannot be used anymore in ufraw.

Version-Release number of selected component (if applicable):

How reproducible:
I happens from time to time in GIMP, without precise actions to be executed (or at least I haven't found any).

Steps to Reproduce:
1. Open a raw file in ufraw
2. select the "Base curve" tab
3. click the drop-down menu and select a curve (different than the one currently selected)
Actual results:
the keyboard gets unresponsive inside ufraw (it can still be used in other programs)

Expected results:
the keyboard should continue working as usual

Additional info:

Downgrading to the previous release of gtk2 fixes the problem with both programs.
Comment 1 Mark Knoop 2012-07-31 07:59:35 EDT
Similar experience with gnucash. The keyboard seems to lose connection to the program once the reconciliation window is launched. Happened twice, but not 100% reproducible.
Comment 2 Kevin Hobbs 2012-08-07 07:39:37 EDT
(In reply to comment #1)

This is happening all the time for me in Gnucash. It looks like the field I want to type into is focused, it's highlighted and I can see the cursor blinking, but I can't enter anything.
Comment 3 Fedora Update System 2012-10-18 11:45:26 EDT
gtk2-2.24.13-1.fc17 has been submitted as an update for Fedora 17.
Comment 4 Fedora Update System 2012-10-18 18:27:14 EDT
Package gtk2-2.24.13-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gtk2-2.24.13-1.fc17'
as soon as you are able to.
Please go to the following url:
then log in and leave karma (feedback).
Comment 5 Kevin Hobbs 2012-11-05 06:10:34 EST
(In reply to comment #4)

I no longer experience problems in GNUCash after this update.
Comment 6 Fedora End Of Life 2013-07-04 03:01:46 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2013-08-01 14:44:47 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.